#ifndef __MW_SOFT_TIMER_H__
#define __MW_SOFT_TIMER_H__

#include "stdint.h"

uint32_t get_systick_ms(void);

// void mw_soft_timer_user_systick_update(void);

void mw_softTimer_led_indicator_config(uint32_t period);

uint8_t mw_softTimer_get_led_indicator_timeUp_flag(void);


void mw_softTimer_RGB_config(uint32_t period);

uint8_t mw_softTimer_get_RGB_timeUp_flag(void);


void mw_softTimer_rtTemHumRead_config(uint32_t period);
uint8_t mw_softTimer_get_rtTemHumRead_timeUp_flag(void);

void mw_softTimer_rtcRead_config(uint32_t period);
uint8_t mw_softTimer_get_rtcRead_timeUp_flag(void);

#endif
